#pragma once

#include "core/time.h"

namespace kku
{

struct BPMSection
{
    unsigned int bpm = 120; // Hi, osu
    unsigned int fraction = 2;
    microsec offset_start = 0;
    microsec interval = 0;
};

struct BPMSectionComparator
{
    bool operator()(const BPMSection& lhs, const BPMSection& rhs) const noexcept
    {
        return lhs.offset_start < rhs.offset_start;
    }
};

}